﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using System.IO;

namespace TestGrid
{
    public partial class Form1 : Form
    {
        private string _LayoutFile = "c:\\temp\\test.xml";
        public Form1()
        {
            InitializeComponent();
            ultraGrid1.DisplayLayout.Bands[0].AddNew();
        }

        private void OnClose(object sender, FormClosedEventArgs e)
        {
            ultraGrid1.DisplayLayout.SaveAsXml(_LayoutFile, PropertyCategories.All);
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {
            if (File.Exists(_LayoutFile))
            {
                ultraGrid1.DisplayLayout.LoadFromXml(_LayoutFile, PropertyCategories.All);
            }
        }

        private void ultraDataSource1_CellDataRequested(object sender, Infragistics.Win.UltraWinDataSource.CellDataRequestedEventArgs e)
        {

        }
    }
}
